libstdc++ build problem

Martin Wilke miwi at FreeBSD.org
Mon May 28 09:12:09 UTC 2007


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, 28 May 2007 02:24:12 -0400
Alexander Kabaev <kabaev at gmail.com> wrote:

|> cc -fpic -DPIC -O2 -fno-strict-aliasing -pipe  -DIN_GLIBCPP_V3
|> -DHAVE_CONFIG_H -I/usr/src/gnu /lib/libstdc++
|> -I/usr/src/gnu/lib/libstdc++/../../../contrib/libstdc++/libsupc++
|> -I/usr/src/g nu/lib/libstdc++/../../../contrib/gcc
|> -I/usr/src/gnu/lib/libstdc++/../../../contrib/libstdc++ /include
|> -I/usr/src/gnu/lib/libstdc++/../../../contrib/gcclibs/include
|> -I/usr/src/gnu/lib/lib stdc++/../../../contrib/libstdc++/include -I.
|> -frandom-seed=RepeatabilityConsideredGood  -c /
|>
|usr/src/gnu/lib/libstdc++/../../../contrib/gcclibs/libiberty/cp-demangle.c
|> -o cp-demangle.So building shared library >
|libstdc++.so.6 /usr/obj/usr/src/tmp/usr/bin/ld: libstdc++.so.6: >
|undefined versioned symbol name _ZN10__gnu_n >
|orm15_List_node_base8transferEPS0_S1_@@GLIBCXX_3.4 /usr/obj/usr/src/tmp/usr/bin/ld:
|> failed to set dynamic section sizes: Bad value *** Error code 1 > 
|
|Do not disable symbol versioning.

Same here.

Well this break the build with other problem 


contrib/file/Magdir/alpha /usr/src/lib/libmagic/../../contrib/file/Magdir/asterix /usr/src/lib/libmagic/../../contrib/file/Magdir/basis /usr/src/lib/libmagic/../../contrib/file/Magdir/blender /usr/src/lib/libmagic/../../contrib/file/Magdir/sendmail /usr/src/lib/libmagic/../../contrib/file/Magdir/alliant /usr/src/lib/libmagic/../../contrib/file/Magdir/cafebabe /usr/src/lib/libmagic/../../contrib/file/Magdir/cddb /usr/src/lib/libmagic/../../contrib/file/Magdir/elf /usr/src/lib/libmagic/../../contrib/file/Magdir/epoc /usr/src/lib/libmagic/../../contrib/file/Magdir/ispell /usr/src/lib/libmagic/../../contrib/file/Magdir/lex /usr/src/lib/libmagic/../../contrib/file/Magdir/mips
>> magic cc -DHAVE_CONFIG_H -DCOMPILE_ONLY  -I/usr/src/lib/libmagic > -
- -I/usr/src/lib/libmagic/../../contrib/file -o >
mkmagic /usr/src/lib/libmagic/../../contrib/file/apprentice.c /usr/src/lib/libmagic/../../contrib/file/funcs.c /usr/src/lib/libmagic/../../contrib/file/magic.c /usr/src/lib/libmagic/../../contrib/file/print.c ./mkmagic
magic /libexec/ld-elf.so.1: /lib/libc.so.7: version FBSD_1.0 required
by ./mkmagic not defined *** Error code 1 > Stop
in /usr/src/lib/libmagic.

 Idea ?

- -- 
Martin Wilke		| irc.unixfreunde.de #bsd 
miwi at FreeBSD.org	| miwi at unixfreunde.de
FreeBSD Committer	| Power to Serve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.3 (FreeBSD)

iD8DBQFGWrGfFwpycAVoI1MRAq2TAKCjaScp/5grLT6Y/7AmaCXoe4+sywCfUX6L
5D32DLAhBxjczYPPDECrW7Y=
=GNxn
-----END PGP SIGNATURE-----


More information about the freebsd-current mailing list